
Figure - Bug #118757
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111067 (New): AF-V3.0--Launcher/SystemUI-任务管理器

【AF】【EVT】【任务管理器】打开edge的登录界面，回到主页，进入任务管理器，无edge卡片
2023-06-13 17:46 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-06-13

Priority: Normal Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 0%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0110.C104(X104)

Resolution: WONTFIX Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause:

Description

【前提条件】

1、设备已开机

【测试步骤】

1、打开edge，点击同意进入登录界面

2、返回launcher界面

3、进入任务管理器查看

【预期结果】

3、有edge卡片

【实际结果】

3、无edge卡片

History

#1 - 2023-06-13 20:30 - CD FW-鲁凯峰

- Status changed from New to RESOLVED

- Assignee changed from CD FW-鲁凯峰 to CDTS_Test 吴诗雨

- Resolution changed from -- to WONTFIX

■ My analysis

这个是Edge App的问题, 它启动的界面设置了不在Recent里面显示,所以在Recent里面看不到

//先启动Main界面

06-13 03:27:20.585  1551  2091 I ActivityTaskManager: START u0 {act=android.intent.action.MAIN cat=[android.intent.category.LAUNCHER] flg=0x10200000

cmp=com.microsoft.emmx/com.microsoft.ruby.Main bnds=[126,96][426,394]} from uid 10069

//在启动OrientationAdaptiveFirstRunActivity界面

06-13 03:27:20.614  1551  2102 I ActivityTaskManager: START u0 {cmp=com.microsoft.emmx/com.microsoft.edge.fre.OrientationAdaptiveFirstRunActivity (has extras)}

from uid 10035

OrientationAdaptiveFirstRunActivity 是设置了不在Recent里面显示的
<activity 

android:autoRemoveFromRecents="true" 

android:configChanges="keyboard|keyboardHidden|mcc|mnc|orientation|screenLayout|screenSize|smallestScreenSize" 

android:excludeFromRecents="true" 

android:label="@string/fre_activity_label" 

android:launchMode="singleInstance" 

android:name="com.microsoft.edge.fre.OrientationAdaptiveFirstRunActivity" 

android:theme="@style/Theme.Chromium.TabbedMode" 

android:windowSoftInputMode="adjustPan|stateHidden"/>

对比正常启动的现象看,在Main界面启动后,接着启动的是 MicrosoftFirstRunActivity ,这个没有设置在Recent里面不显示

06-13 19:48:14.137  1062  2012 I ActivityTaskManager: START u0 {act=android.intent.action.MAIN cat=[android.intent.category.LAUNCHER] flg=0x10200000

cmp=com.microsoft.emmx/com.microsoft.ruby.Main bnds=[112,116][388,383]} from uid 10076

06-13 19:48:14.420  1062  8007 I ActivityTaskManager: START u0 {cmp=com.microsoft.emmx/com.microsoft.edge.fre.MicrosoftFirstRunActivity (has extras)} from uid

10037

至于为什么会启动不同的Activity,这个是Edge App自己决定的,我们从Home上启动的Edge都是com.microsoft.ruby.Main,在由com.microsoft.ruby.Main决定启动

哪个activity

■ Next Action

需要App去修改,不建议修改

#2 - 2023-06-16 15:10 - CDTS_Test 吴诗雨

- Status changed from RESOLVED to VERIFIED

#3 - 2023-06-16 15:11 - CDTS_Test 吴诗雨

- Status changed from VERIFIED to CLOSED

Files

1704.txt 4.72 MB 2023-06-13 CDTS_Test 吴诗雨
